#ifndef MCUTOUT_NLJSON_HPP
#define MCUTOUT_NLJSON_HPP

#include "json.hpp"
#include "mcutout.hpp"

using json = nlohmann::json;

void to_json(json& j, const mcutout_res_s& p);
void to_json(json& j, const cut_param_s& p);
void to_json(json& j, const cut_resp_s& p);

void from_json(const json& j, cut_param_s& p);
void from_json(const json& j, cut_resp_s& p);

#endif
